Index: kernel/generic/src/synch/futex.c
===================================================================
--- kernel/generic/src/synch/futex.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
+++ kernel/generic/src/synch/futex.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -157,7 +157,7 @@
 {
 	task->futexes = malloc(sizeof(struct futex_cache), 0);
-	
+
 	cht_create(&task->futexes->ht, 0, 0, 0, true, &task_futex_ht_ops);
-	
+
 	list_initialize(&task->futexes->list);
 	spinlock_initialize(&task->futexes->list_lock, "futex-list-lock");
@@ -183,5 +183,5 @@
 	struct futex_cache *cache =
 		member_to_inst(work, struct futex_cache, destroy_work);
-	
+
 	/*
 	 * Destroy the cache before manually freeing items of the cache in case
@@ -189,5 +189,5 @@
 	 */
 	cht_destroy_unsafe(&cache->ht);
-	
+
 	/* Manually free futex_ptr cache items. */
 	list_foreach_safe(cache->list, cur_link, next_link) {
@@ -197,5 +197,5 @@
 		free(fut_ptr);
 	}
-	
+
 	free(cache);
 }
@@ -205,8 +205,8 @@
 {
 	struct futex_cache *futexes = TASK->futexes;
-	
+
 	/* All threads of this task have terminated. This is the last thread. */
 	spinlock_lock(&futexes->list_lock);
-	
+
 	list_foreach_safe(futexes->list, cur_link, next_link) {
 		futex_ptr_t *fut_ptr = member_to_inst(cur_link, futex_ptr_t, all_link);
@@ -222,5 +222,5 @@
 		futex_release_ref_locked(fut_ptr->futex);
 	}
-	
+
 	spinlock_unlock(&futexes->list_lock);
 }
@@ -252,7 +252,7 @@
 	assert(spinlock_locked(&futex_ht_lock));
 	assert(0 < futex->refcount);
-	
+
 	--futex->refcount;
-	
+
 	if (0 == futex->refcount) {
 		hash_table_remove(&futex_ht, &futex->paddr);
@@ -272,5 +272,5 @@
 {
 	futex_t *futex = find_cached_futex(uaddr);
-	
+
 	if (futex)
 		return futex;
@@ -303,8 +303,8 @@
 		    (uaddr - ALIGN_DOWN(uaddr, PAGE_SIZE));
 	}
-	
+
 	spinlock_unlock(&futex_ht_lock);
 	page_table_unlock(AS, false);
-	
+
 	return success;
 }
@@ -314,5 +314,5 @@
 {
 	cht_read_lock();
-	
+
 	futex_t *futex;
 	cht_link_t *futex_ptr_link = cht_find_lazy(&TASK->futexes->ht, &uaddr);
@@ -321,12 +321,12 @@
 		futex_ptr_t *futex_ptr
 			= member_to_inst(futex_ptr_link, futex_ptr_t, cht_link);
-		
+
 		futex = futex_ptr->futex;
 	} else {
 		futex = NULL;
 	}
-	
+
 	cht_read_unlock();
-	
+
 	return futex;
 }
@@ -340,5 +340,5 @@
 {
 	futex_t *futex = malloc(sizeof(futex_t), 0);
-	
+
 	/*
 	 * Find the futex object in the global futex table (or insert it
@@ -346,7 +346,7 @@
 	 */
 	spinlock_lock(&futex_ht_lock);
-	
+
 	ht_link_t *fut_link = hash_table_find(&futex_ht, &phys_addr);
-	
+
 	if (fut_link) {
 		free(futex);
@@ -357,7 +357,7 @@
 		hash_table_insert(&futex_ht, &futex->ht_link);
 	}
-	
+
 	spinlock_unlock(&futex_ht_lock);
-	
+
 	/*
 	 * Cache the link to the futex object for this task.
@@ -365,10 +365,10 @@
 	futex_ptr_t *fut_ptr = malloc(sizeof(futex_ptr_t), 0);
 	cht_link_t *dup_link;
-	
+
 	fut_ptr->futex = futex;
 	fut_ptr->uaddr = uaddr;
-	
+
 	cht_read_lock();
-	
+
 	/* Cache the mapping from the virtual address to the futex for this task. */
 	if (cht_insert_unique(&TASK->futexes->ht, &fut_ptr->cht_link, &dup_link)) {
@@ -380,5 +380,5 @@
 		free(fut_ptr);
 		futex_release_ref_locked(futex);
-		
+
 		futex_ptr_t *dup = member_to_inst(dup_link, futex_ptr_t, cht_link);
 		futex = dup->futex;
@@ -386,5 +386,5 @@
 
 	cht_read_unlock();
-	
+
 	return futex;
 }
@@ -401,5 +401,5 @@
 {
 	futex_t *futex = get_futex(uaddr);
-	
+
 	if (!futex)
 		return (sys_errno_t) ENOENT;
@@ -428,5 +428,5 @@
 {
 	futex_t *futex = get_futex(uaddr);
-	
+
 	if (futex) {
 		waitq_wakeup(&futex->wq, WAKEUP_FIRST);
@@ -492,5 +492,5 @@
 	const futex_ptr_t *fut_ptr1 = member_to_inst(item1, futex_ptr_t, cht_link);
 	const futex_ptr_t *fut_ptr2 = member_to_inst(item2, futex_ptr_t, cht_link);
-	
+
 	return fut_ptr1->uaddr == fut_ptr2->uaddr;
 }
@@ -500,5 +500,5 @@
 	const futex_ptr_t *fut_ptr = member_to_inst(item, futex_ptr_t, cht_link);
 	uintptr_t uaddr = *(uintptr_t*)key;
-	
+
 	return fut_ptr->uaddr == uaddr;
 }
